<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddRoutePartitionReq StructType
 * @subpackage Structs
 */
class AddRoutePartitionReq extends APIRequest
{
    /**
     * The routePartition
     * @var XRoutePartition
     */
    public $routePartition;
    /**
     * Constructor method for AddRoutePartitionReq
     * @uses AddRoutePartitionReq::setRoutePartition()
     * @param XRoutePartition $routePartition
     */
    public function __construct(XRoutePartition $routePartition = null)
    {
        $this
            ->setRoutePartition($routePartition);
    }
    /**
     * Get routePartition value
     * @return XRoutePartition|null
     */
    public function getRoutePartition()
    {
        return $this->routePartition;
    }
    /**
     * Set routePartition value
     * @param XRoutePartition $routePartition
     * @return AddRoutePartitionReq
     */
    public function setRoutePartition(XRoutePartition $routePartition = null)
    {
        $this->routePartition = $routePartition;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddRoutePartitionReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
